Random Password Generation
Overview
Postman Collection
Okta Privileged Access
Active Directory Accounts
Active Directory Connections
Assignments
Attributes
Clients
Database Accounts
Database Connections
Gateways
Groups
Infrastructure Orchestrators
MFA Approvals
Okta Universal Directory Accounts
Projects
Relationships
Access Reports
Resource groups
SaaS Application Accounts
Secrets
Security Policy
Server Accounts
Servers
Service Users
Staged Service Accounts
Sudo Commands
Teams
Users
Workload Connections
Workload Roles
OPA roles:
- end_user
Generates a random password based on the request parameters provided
Security
bearerAuth
- Production serverhttps://{org_name}.pam-okta.login.adsbillinghub.com/v1/teams/{team_name}/random_password
curl -i -X POST \
'https://{org_name}.pam-okta.login.adsbillinghub.com/v1/teams/{team_name}/random_password' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"character_options": {
"digits": true,
"lower_case": true,
"special_characters": true,
"upper_case": true
},
"num_chars": 0,
"public_key": {
"alg": "string",
"crv": "Ed25519",
"d": "string",
"dp": "string",
"dq": "string",
"e": "string",
"k": "string",
"kid": "string",
"kty": "EC",
"n": "string",
"p": "string",
"q": "string",
"qi": "string",
"use": "string",
"x": "string",
"x5c": [
"string"
],
"x5t": "string",
"x5t#S256": "string",
"x5u": "string",
"y": "string"
}
}'